forum
System Requirements 05.01.21 23:21
AuthorMessages
Fury

Supported CPUs


For Intel CPUs, you must have at least Core 3000 series (3rd generation) or newer


For AMD CPUs, you must have Ryzen series or newer. It may still be unstable at some point (result in WoW crash)



Supported Operating Systems


For Windows, you must have Windows 10 build 1803 or newer, up to the latest official build (except Insider Preview Build). UCS also supports the latest Windows 7 or Windows 8.1 OS


UCS does not support MacOS, unless you run it from a boot camp.



Virtualization core requirements


Run Checker.exe to confirm that VT-x (AMD-v) is supported on your PC. If it is supported, but at the same time VT-x (AMD-v) shows as disabled, load BIOS (if unsure how, Google it for your particular PC model), find there a setting related to “virtualization” and turn it on. If you have difficulties, contact our support


Files: exeChecker.exe


Comment from :